# netmap - Perl/GTK Network Scanner
#
# Copyright (C) 2003 Joshua Corbin <jcorbin@jdweb.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package netmap::nmap::pingtypes;
use strict;
use Gtk;
use netmap::nmap::clist;
our @ISA = ('netmap::nmap::clist');

our %pingtypes =
  (0 => 'Don\'t ping',
   T => 'TCP',
   S => 'SYN',
   I => 'ICMP Echo',
   P => 'ICMP Timestamp',
   M => 'ICMP Netmask',
   B => 'TCP & ICMP');

sub new {
  my $proto = shift || return undef;
  my $nmap  = shift || return undef;
  my %param  = @_;
  my $class = ref $proto || $proto;
  my $self  = $class->SUPER::new($nmap, title => 'Ping Modes', mode => 'single') || return undef;
  bless $self, $class;
  $self->{type} = $param{type};
  $self->{type} ||= 'hostscan';
  $self->{types} = {%pingtypes};
  if ($self->{type} eq 'hostscan') {
    $self->{array} = $self->{nmap}->{hostscanconf}->{pingtype};
  } elsif ($self->{type} eq 'pingscan') {
    $self->{array} = $self->{nmap}->{pingscanconf}->{pingtype};
    delete $self->{types}->{0};
  } else {
    return undef;
  }
  $self->_setup(nounsel => 1) || return undef;
  return $self->{scroll};
}

1;
