# netmap - Perl/GTK Network Scanner
#
# Copyright (C) 2003 Joshua Corbin <jcorbin@jdweb.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package netmap::nmap::scantypes;
use strict;
use Gtk;
use netmap::nmap::clist;
our @ISA = ('netmap::nmap::clist');

our %scantypes =
  (T => 'TCP Connect',
   S => 'TCP SYN',
   F => 'TCP FIN',
   X => 'TCP XMAS',
   N => 'TCP NULL',
   U => 'UDP');

sub new {
  my $proto = shift || return undef;
  my $nmap  = shift || return undef;
  my $class = ref $proto || $proto;
  my $self  = $class->SUPER::new($nmap, title => 'Scanning Modes') || return undef;
  bless $self, $class;
  $self->{types} = {%scantypes};
  $self->{array} = $self->{nmap}->{hostscanconf}->{scantype};
  $self->_setup || return undef;
  return $self->{scroll};
}

1;
